#### This Page

# `server`

`lektor server`

The server command will launch a local server for development.

Lektor's development server will automatically build all files into pages similar to how the build command with the `--watch` switch works, but also at the same time serve up the website on a local HTTP server.

## Options

- `-h, --host TEXT`: The network interface to bind to. The default is the loopback device, but by setting it to 0.0.0.0 it becomes available on all network interfaces.
- `-p, --port INTEGER`: The port to bind to.
- `-O, --output-path PATH`: The dev server will build into the same folder as the build command by default.
- `-v, --verbose`: Increases the verbosity of the logging.
- `-f, --build-flag TEXT`: Defines an arbitrary build flag. These can be used by plugins to customize the build process. More information can be found in the documentation of affected plugins.
- `--help`: print this help page.

## Comments